PRIMER3_CORE(1)

NAME
primer3_core - Designs primers for PCR

SYNOPSIS

primer3_core [-format_output] [-strict_tags] [< input_file]

DESCRIPTION

primer3_core picks primers for PCR reactions, considering as criteria oligonucleotide melting temperature, size, GC content and primer-dimer possibilities, PCR product size, positional constraints within the source sequence, and miscellaneous other constraints.

By default, primer3_core accepts input and produces output in Boulder-io format, a pre-XML text-based input/output format for program-to-program data interchange format. The Boulder-io format and the commands that primer3_core understands are described in the README file, which on Debian systems can be found in /usr/share/doc/primer3/.

OPTIONS

-format_output
    Prints a more user-oriented report for each sequence.

-strict_tags
    primer3_core echoes and ignores any tags it does not recognize, unless the -strict_tags flag is set on the command line, in which case primer3_core prints an error in the PRIMER_ERROR output tag, and prints additional information on stdout; this option can be useful for debugging systems that incorporate primer.

Note

The old flag -2x_compat is no longer supported.

EXIT STATUS CODES

    • 0 on normal operation.

    • -1 under the following conditions: illegal command-line arguments, unable to fflush stdout, unable to open (for writing and creating) a .for, .rev or .int file (probably due to a protection problem).

    • -2 on out-of-memory.

    • -3 empty input.

    • -4 error in a "Global" input tag (message in PRIMER_ERROR).

REFERENCE

Please cite Rozen, S., Skaletsky, H. "Primer3 on the WWW for general users and for biologist programmers." In S. Krawetz and S. Misener, eds. Bioinformatics Methods and Protocols in the series Methods in Molecular Biology. Humana Press, Totowa, NJ, 2000, pages 365-386.

SEE ALSO

ntdpal(1) oligotm(1)

COPYRIGHT
Copyright © 1996,1997,1998,1999,2000,2001,2004,2006,2007,2008 Whitehead Institute for Biomedical Research, Steve Rozen (http://jura.wi.mit.edu/rozen), Helen Skaletsky

All rights reserved. On Debian-based systems, please consult /usr/share/doc/primer3/copyright to read the licence of primer3_core.

This manual page was written by Steffen Moeller <moeller@debian.org> for the Debian(TM) system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the same terms as primer3_core itself.